## gutenprint 5.2.6

=== debian/changelog ===
gutenprint (5.2.6-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Include the simplified CUPS Raster PPDs of Gutenprint by
      an explicit "./configure" option.
    - debian/control, debian/rules, ijsgutenprint-ppds.install,
      ijsgutenprint-ppds.postinst: Added the binary package ijsgutenprint-ppds:
      This package contains all PPDs which can be generated from the Foomatic
      XML database for ijsgutenprint in one compressed pyppd archive. This
      takes much less disk space than the XML database (1.1 MB vs. 102 MB) and
      makes access (listing all PPDs, extracting the needed PPD) also
      significantly faster.
    - debian/patches/generic-large-format-printers.dpatch:  Use "Large Format"
      instead of "LF" in the names of the Generic PCL printers, this way users
      understand better what the difference between the entries is.
    - debian/patches/no-data-dumper-needed.dpatch: Data::Dumper is imported,
      but never actually used, so drop that.
    - debian/patches/upgrade-getopt.dpatch: Replace Getopt::Std by
      configuring Getopt::Long to run in a mode compatible with Getopt::Std
    - debian/control: Dependency on perl is no longer necessary - Data::Dumper
      and Getopt::Std were the last modules being used that aren't in perl-base.
    - debian/rules: Build with "--enable-nls" in the "./configure" command
      line.
    - debian/local/apport-hook.py, debian/rules,
      debian/cups-driver-gutenprint.install: Added apport hook.
    - debian/cups-driver-gutenprint.postinst: Make failures of the updater
      for the PPD files of existing print queues for the CUPS Raster driver
      non-fatal
    - debian/cups-driver-gutenprint.install: don't install
      samples/profile.jpg
    - debian/patches/10_cups_modeldir.dpatch: place ppd files in
      /usr/share/ppd
    - debian/control: Added transitional cupsys-driver-gutenprint package,
      easing the transition from hardy. Versioned Conflicts/Replaces.
    - debian/foomatic-db-gutenprint.postinst: automatically update the PPD
      files of existing CUPS queues which use the IJS driver.
    - debian/control: Added dependency on cups and cups-client to
      foomatic-db-gutenprint to assure that automatic PPD updates take
      place.
    - debian/cups-driver-gutenprint.postinst,
      debian/foomatic-db-gutenprint.postinst: Call CUPS command line
      clients (lpstat, lpadmin, ...) with "-h ..." option to assure local
      connections to be done even if a client.conf file points to a
      remote CUPS server, as this driver package only serves for the
      local CUPS and if the local machine tries to do changes on a
      remote server, the CUPS clients ask for the remote server's password
      interactively.
  * debian/control, debian/rules, debian/local/pyppd: Use external pyppd
    package for the compression of the ijsgutenprint PPDs.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011 17:33:03 +0100

gutenprint (5.2.6-1) unstable; urgency=low

  * New upstream stable release.
  * Use source format 3.0 (quilt), drop dpatch support.
  * Upgrade to Standards Version 3.9.1 (no changes).
  * Drop unused --with-ijs configure argument.
  * debian/rules install-stamp rule depends on build-stamp
    rather than build (which is phony).

 -- Roger Leigh <rleigh@debian.org>  Sun, 15 Aug 2010 14:15:09 +0100

gutenprint (5.2.6-0ubuntu9) natty; urgency=low

  * debian/patches/no-data-dumper-needed.dpatch: Data::Dumper is imported,
    but never actually used, so drop that.
  * debian/patches/upgrade-getopt.dpatch: Replace Getopt::Std by
    configuring Getopt::Long to run in a mode compatible with Getopt::Std
  * Dependency on perl is no longer necessary - Data::Dumper and
    Getopt::Std were the last modules being used that aren't in perl-base.

 -- Evan Broder <evan@ebroder.net>  Sat, 13 Nov 2010 22:35:15 -0800

gutenprint (5.2.6-0ubuntu8) maverick; urgency=low

  * Let steps which come after the reload of CUPS in the post-install script
    of the cups-driver-gutenprint binary package wait for the CUPS daemon
    getting ready (LP: #647369).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 27 Sep 2010 18:19:03 +0200

gutenprint (5.2.6-0ubuntu7) maverick; urgency=low

  * Be gentle with single-core machines, do not hard code `-j 16', use the
    DEB_BUILD_OPTIONS=parallel=<n> value instead, if present.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Sep 2010 17:35:19 +0200

gutenprint (5.2.6-0ubuntu6) maverick; urgency=low

  * debian/local/pyppd/pyppd/: Updated to pyppd 0.4.9, to suppress runtime
    error tracebacks by putting a "try: ... except ...: pass" construct around
    the main function call. This avoids SIGPIPE crashes when the execution of
    the self-extracting compressed PPD file archives gets stopped by the
    calling process (LP: #618017).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 21 Sep 2010 20:45:03 +0200

gutenprint (5.2.6-0ubuntu5) maverick; urgency=low

  * debian/local/pyppd/pyppd/ppd.py, debian/local/pyppd/pyppd/pyppd-ppdfile.in:
    Let the compressed PPD archives not contain duplicate PPD URIs, even if the
    lines reference the same PPD. Most printer setup tools cannot cope with
    duplicate PPD URIs.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 16 Sep 2010 01:07:03 +0200

gutenprint (5.2.6-0ubuntu4) maverick; urgency=low

  * debian/patches/generic-large-format-printers.dpatch: Use "Large Format"
    instead of "LF" in the names of the Generic PCL printers, this way users
    understand better what the difference between the entries is.
  * debian/ijsgutenprint-ppds.postinst, debian/foomatic-db-gutenprint.postinst:
    Made PPDs of existing print queues also get correctly updated if they are
    affected by the model name change introduced by the patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  9 Sep 2010 18:26:53 +0200

gutenprint (5.2.6-0ubuntu3) maverick; urgency=low


