## gutenprint 5.2.7

=== debian/changelog ===
gutenprint (5.2.7-3) unstable; urgency=low

  * Add printer-driver-gutenprint package to replace
    cups-driver-gutenprint.  cups-driver-gutenprint is a
    transitional package.
  * debian/control: Use multiline dependencies.

 -- Roger Leigh <rleigh@debian.org>  Sat, 26 Nov 2011 17:51:58 +0000

gutenprint (5.2.7-2) unstable; urgency=low

  * Set libdir correctly.

 -- Roger Leigh <rleigh@debian.org>  Sat, 23 Jul 2011 20:01:21 +0100

gutenprint (5.2.7-1) unstable; urgency=low

  * New upstream stable release.
  * Upgrade to Standards Version 3.9.2 (no changes).
  * Drop inactive maintainers from Uploaders.
  * Use dh from debhelper for building.
  * Use multiarch paths.

 -- Roger Leigh <rleigh@debian.org>  Sat, 23 Jul 2011 13:03:48 +0100
