=== debian/control ===
--- 
+++ 
@@ -1,18 +1,33 @@
 Source: gutenprint
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
-Uploaders: Roger Leigh <rleigh@debian.org>, W. van den Akker <wvdakker@wilsoft.nl>
-Standards-Version: 3.9.1
-Build-Depends: libcups2-dev, libcupsimage2-dev, libgimp2.0-dev, libreadline-dev, libijs-dev, debhelper (>= 7.0.0), zlib1g-dev, flex, gettext, foomatic-db-engine, foomatic-db, chrpath, quilt, pyppd
+Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
+Uploaders: Roger Leigh <rleigh@debian.org>
+Standards-Version: 3.9.2
+Build-Depends:
+ debhelper (>= 8.9.10),
+ autotools-dev,
+ libcups2-dev,
+ libcupsimage2-dev,
+ libgimp2.0-dev,
+ libreadline-dev,
+ libijs-dev,
+ zlib1g-dev,
+ flex,
+ gettext,
+ foomatic-db-engine,
+ chrpath,
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gutenprint.git
 Vcs-Git: git://git.debian.org/git/collab-maint/gutenprint
 
 Package: gimp-gutenprint
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gimp (>= 2.4.0~rc1-1)
-Suggests: gutenprint-doc (>= ${source:Version}), gutenprint-locales (>= ${source:Version})
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ gimp (>= 2.4.0~rc1-1)
+Suggests:
+ gutenprint-doc (>= ${source:Version}),
+ gutenprint-locales (>= ${source:Version})
 Enhances: gimp
 Description: print plugin for the GIMP
  This package includes the Gutenprint Print plugin for the GIMP.
@@ -25,12 +40,40 @@
  tasks.  Gutenprint was formerly known as Gimp-Print.
 
 Package: cups-driver-gutenprint
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ printer-driver-gutenprint
+Description: printer drivers for CUPS (transitional package)
+ This is a transitional package to install the CUPS driver based on
+ Gutenprint, which has been renamed to printer-driver-gutenprint.
+ .
+ Gutenprint is the print facility for the GIMP, and in addition a
+ suite of drivers that may be used with common UNIX spooling systems
+ using GhostScript or CUPS.  These drivers provide printing quality
+ for UNIX/Linux on a par with proprietary vendor-supplied drivers in
+ many cases, and can be used for many of the most demanding printing
+ tasks.  Gutenprint was formerly known as Gimp-Print.
+
+Package: printer-driver-gutenprint
 Architecture: any
 Section: graphics
-Depends: ${misc:Depends}, ${shlibs:Depends}, cups (>= 1.3.0), cups-client (>= 1.3.0), ghostscript-cups
-Suggests: gutenprint-doc (>= ${source:Version}), gutenprint-locales (>= ${source:Version})
-Conflicts: cupsys-driver-gutenprint (<= 5.1.99)
-Replaces: cupsys-driver-gutenprint (<= 5.1.99)
+Depends:
+ ${misc:Depends},
+ ${perl:Depends},
+ ${shlibs:Depends},
+ perl (>= 5.8.0),
+ cups (>= 1.3.0),
+ cups-client (>= 1.3.0),
+ ghostscript-cups
+Suggests:
+ gutenprint-doc (>= ${source:Version}),
+ gutenprint-locales (>= ${source:Version})
+Provides: cups-driver-gutenprint
+Conflicts: cups-driver-gutenprint
+Replaces: cups-driver-gutenprint
 Description: printer drivers for CUPS
  This package includes a CUPS driver based on Gutenprint.
  .
@@ -48,19 +91,13 @@
  many cases, and can be used for many of the most demanding printing
  tasks.  Gutenprint was formerly known as Gimp-Print.
 
-Package: cupsys-driver-gutenprint
-Architecture: all
-Priority: extra
-Depends: cups-driver-gutenprint
-Description: Transitional package
- This dummy package is provided for a smooth transition from the previous
- cupsys-driver-gutenprint package (the package is replaced by
- cups-driver-gutenprint). It may safely be removed after installation.
-
 Package: libgutenprint-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libgutenprint2 (= ${binary:Version}), pkg-config
+Depends:
+ ${misc:Depends},
+ libgutenprint2 (= ${binary:Version}),
+ pkg-config
 Suggests: libgutenprint-doc (= ${source:Version})
 Description: development files for the Gutenprint printer driver library
  This package contains the header files for the Gutenprint library,
@@ -99,6 +136,7 @@
 Package: libgutenprint2
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: gutenprint-locales (>= ${source:Version})
 Description: runtime for the Gutenprint printer driver library
@@ -115,7 +153,10 @@
 Package: libgutenprintui2-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libgutenprintui2-1 (= ${binary:Version}), pkg-config
+Depends:
+ ${misc:Depends},
+ libgutenprintui2-1 (= ${binary:Version}),
+ pkg-config
 Suggests: libgutenprint-doc (= ${source:Version})
 Description: development files for the Gutenprint printer driver user interface library
  This package contains the header files for the libgutenprintui
@@ -136,6 +177,7 @@
 Package: libgutenprintui2-1
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gutenprint-locales (>= ${source:Version})
 Description: runtime for the Gutenprint printer driver user interface library
@@ -156,7 +198,7 @@
 Depends: ${misc:Depends}
 Description: locale data files for Gutenprint
  This package contains the i18n files of Gutenprint, used by
- libgutenprint2, cups-driver-gutenprint and escputil.  It is also
+ libgutenprint2, printer-driver-gutenprint and escputil.  It is also
  used by the Print plugin for the GIMP, gimp-gutenprint.
  .
  They are needed when you want the programs in Gutenprint to print
@@ -188,8 +230,10 @@
 Package: ijsgutenprint
 Architecture: any
 Section: text
-Depends: ${misc:Depends}, ${shlibs:Depends}, ghostscript (>= 8.61)
-Recommends: ijsgutenprint-ppds | foomatic-db-gutenprint
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ ghostscript (>= 8.61)
+Recommends: foomatic-db-gutenprint
 Description: inkjet server - Ghostscript driver for Gutenprint
  This package contains the ijsgutenprint binary which provides
  Ghostscript with a Gutenprint driver, including all printers
@@ -201,7 +245,7 @@
  .
  If you wish to print using Ghostscript and the Gutenprint drivers,
  install this package.  This is typical for LPRng setups.  If you
- are using CUPS, cups-driver-gutenprint is a better choice, but
+ are using CUPS, printer-driver-gutenprint is a better choice, but
  this package will still work with the appropriate foomatic setup
  if you wish to make use of foomatic.
  .
@@ -212,27 +256,13 @@
  many cases, and can be used for many of the most demanding printing
  tasks.  Gutenprint was formerly known as Gimp-Print.
 
-Package: ijsgutenprint-ppds
+Package: foomatic-db-gutenprint
 Architecture: all
 Section: text
-Depends: ${misc:Depends}, ijsgutenprint (>= ${source:Version}), cups, cups-client, ${python:Depends}, xz-utils, foomatic-filters
-Conflicts: foomatic-db-gutenprint
-Description: OpenPrinting printer support - Compressed PPDs for Gutenprint IJS printer driver
- This package contains the PPD files for Gutenprint's IJS driver in a
- compressed archive. This eliminates the need of around 90 MB of Foomatic
- XML data and listing all PPDs and getting the needed PPD is much faster.
- .
- Gutenprint is the print facility for the GIMP, and in addition a
- suite of drivers that may be used with common UNIX spooling systems
- using GhostScript or CUPS.  These drivers provide printing quality
- for UNIX/Linux on a par with proprietary vendor-supplied drivers in
- many cases, and can be used for many of the most demanding printing
- tasks.  Gutenprint was formerly known as Gimp-Print.
-
-Package: foomatic-db-gutenprint
-Architecture: all
-Section: text
-Depends: ${misc:Depends}, foomatic-db, ijsgutenprint (>= ${source:Version}), cups, cups-client, foomatic-filters
+Depends:
+ ${misc:Depends},
+ foomatic-db,
+ ijsgutenprint (>= ${source:Version})
 Description: OpenPrinting printer support - database for Gutenprint printer drivers
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).
@@ -250,3 +280,18 @@
  using GhostScript or CUPS.  These drivers provide printing quality
  for UNIX/Linux on a par with proprietary vendor-supplied drivers in
  many cases, and can be used for many of the most demanding printing
+ tasks.  Gutenprint was formerly known as Gimp-Print.
+
+Package: gutenprint-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Suggests:
+ printer-driver-gutenprint (>= ${source:Version}),
+ foomatic-db-gutenprint (>= ${source:Version}),
+ gimp-gutenprint (>= ${source:Version}),
+ ijsgutenprint (>= ${source:Version})
+Description: users' guide for Gutenprint and CUPS
+ This package contains a user guide for programs using the
+ Gutenprint library for photographic quality printing.  Currently
+ this covers using the Print plugin for the GIMP and the Common Unix
