## gutenprint 5.2.8~pre1

=== debian/changelog ===
gutenprint (5.2.8~pre1-0ubuntu2.1) precise-proposed; urgency=low

  * debian/rules: Touch ppd-updater file(s) so that they have the time stamp
    of the build of this package The time stamp of the ppd-updater files tells
    CUPS' trigger script whether they come from different package versions or
    not (LP: #932882).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 19 Jun 2012 20:32:48 +0200

gutenprint (5.2.8~pre1-0ubuntu2) precise; urgency=low

  * debian/printer-driver-gutenprint.postinst: Use old method to update the
    PPDs of existing print queues on the transition from Gutenprint 5.2.7 to
    5.2.8 (LP: #932882, LP: #960496).
  * debian/printer-driver-gutenprint.ppd-updater: Improvement of NickName
    matching rules.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 22 Mar 2012 15:00:00 +0100

gutenprint (5.2.8~pre1-0ubuntu1) precise; urgency=low

  * New upstream release
    - Added support for Canon BJC 4550, S330, S520, S530D, S630, S750, S820,
      S830D, S900, S9000, PIXMA mini220, mini320, mini360, i50, i70, i450,
      i455, i470D. i550, i900D, i950, i960, i6100, i6500, i9100, i9900,
      iP3300, iP3500, iP3600, iP4900, iP6210D, iP6220D, iP6310D, iP7100,
      iP7500, iP8100, iP8600, iP9910, MP140, MP190, MP210, MP240, MP375R,
      MP470, MP490, MP530, MP900, MG2100, MG3100, MG4100, MG5300, MG6200,
      MG8200, EPSON ME Office 940FW, PX 204, PX 504A, Stylus CX3900, NX530,
      NX635, SX535WD, Stylus Office BX535WD, BX630FW, BX635FWD, TX620FWD,
      Stylus Photo RX650, WorkForce 545, 630, 645, Stylus Pro 7900/9900
      (Partial -- no orange/green inks).
    - Printers redefined: Canon BJC 3000, S300, S500, S600, S800, PIXMA i80,
      i560, i850, i860, i865, iP2000, iP4100, iP5000, MP600, MP750, MP760,
      MP770, MP780, MP790, MP970
    - Support for the following printers was greatly improved, or tested:
      Canon PIXMA MP700, MP710, MP730, MP740, MP950, MP960, MX340, MX350,
      iP4000, MG5100
    - Canon BJC series printers using photo cartridge have printing modes
      added that will select this cartridge.
    - A crash with the EPSON Stylus Photo R3000 has been fixed.
    - Chinese (Mandarin), Galician, and Ukrainian translations have
      been added.
  * debian/patches/0001-patch-stdio.h-is-required-by-commandtoepson-and-comm.patch:
    Removed, applied upstream.
  * 0002-genppd-don-t-write-color-profile-information-with-br.patch: Refreshed
    with quilt.
  * debian/printer-driver-gutenprint.ppd-updater,
    debian/foomatic-db-gutenprint.ppd-updater: Support also pre-releases with
    "-preX" version number extension.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 22:41:51 +0100

gutenprint (5.2.7-5ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/printer-driver-gutenprint.ppd-updater,
      debian/foomatic-db-gutenprint.ppd-updater,
      debian/printer-driver-gutenprint.postinst,
      debian/printer-driver-gutenprint.install.in,
      debian/foomatic-db-gutenprint.install.in:
      Use the PPD updater script of the cups package to update the PPD files
      (in /etc/cups/ppd/) of all already existing print queues using this
      driver when updating this package. In contray to Gutenprint's own
      cups-genppdupdate the script of the cups package can also migrate PPD
      files. In our case we migrate Foomatic/IJS PPD files to the equivalent
      PPDs using the CUPS Raster driver of Gutenprint and we replace simplified
      PPD files by the corresponding standard PPDs, as we discontinue the
      simplified PPDs in Ubuntu to reduce the delta to Debian and to make
      printer model/driver listings in printer setup tools less cluttered.
      printer-driver-gutenprint.postinst is not needed any more and therefore
      removed.
    - debian/printer-driver-gutenprint.install.in: Do not install profile.jpg.
      The file is not installed by upstream ("make install") and only wastes
      space.
    - debian/control, debian/patches/0003-upgrade-getopt.patch,
      debian/patches/0004-no-data-dumper-needed.patch: Eliminate the unnecessary
      Perl module dependencies to reduce the package's dependency on Perl to
      perl-base instead of perl. This saves a lot of space on the Live CDs of
      Ubuntu. This is done by once not importing Data::Dumper without using it
      and second, by replacing Getopt::Std with Getopt::Long. Removed the
      dependency on perl from debian/control.
    - debian/rules: Build with "--enable-nls" in the "./configure"
      command line. This is actually needed and got accidentally dropped in
      Debian, assuming that dh_auto_configure sets it.
    - debian/ubuntu/apport-hook.py, debian/rules: Install Apport hook if the
      package is built under Ubuntu (decides via "dpkg-vendor").
    - 0005-use-dnointerpolate-in-ghostscript-command-lines.patch: Running
      Ghostscript without interpolation makes Ghostscript significantly faster
      especially on files which contain bitmaps. The effect of interpolation on
      the high resolutions usually used for printing is practically invisible
      and therefore the interpolation is of no benefit here.
    - debian/control: Added transitional package ijsgutenprint-ppds. The
      Ubuntu-only package with this name got dropped in favor of migrating
      users of the IJS flavor of Gutenprint to the CUPS Raster flavor.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 19:38:00 +0100

gutenprint (5.2.7-5) unstable; urgency=low

  * Apply patch to fix cups-genppd on Linux (and all non-Apple)
    platforms by not using Apple-specific paths for ICC profiles.
    The patch removes all ICC profile information from the
    generated PPDs (Closes: #625925).  Thanks to Julien Cristau
    for the patch.

 -- Roger Leigh <rleigh@debian.org>  Sat, 04 Feb 2012 10:57:44 +0000

gutenprint (5.2.7-4) unstable; urgency=low

  * printer-driver-gutenprint has versioned Conflicts and Replaces

