=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gutenprint
 Section: graphics
 Priority: optional
-Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
 Uploaders: Roger Leigh <rleigh@debian.org>
 Standards-Version: 3.9.2
 Build-Depends:
@@ -46,7 +47,7 @@
 Depends:
  ${misc:Depends}, ${shlibs:Depends},
  printer-driver-gutenprint
-Description: printer drivers for CUPS (transitional package)
+Description: transitional dummy package for gutenprint printer driver
  This is a transitional package to install the CUPS driver based on
  Gutenprint, which has been renamed to printer-driver-gutenprint.
  .
@@ -62,9 +63,7 @@
 Section: graphics
 Depends:
  ${misc:Depends},
- ${perl:Depends},
  ${shlibs:Depends},
- perl (>= 5.8.0),
  cups (>= 1.3.0),
  cups-client (>= 1.3.0),
  ghostscript-cups
@@ -72,8 +71,8 @@
  gutenprint-doc (>= ${source:Version}),
  gutenprint-locales (>= ${source:Version})
 Provides: cups-driver-gutenprint
-Conflicts: cups-driver-gutenprint
-Replaces: cups-driver-gutenprint
+Conflicts: cups-driver-gutenprint (<< 5.2.7-3)
+Replaces: cups-driver-gutenprint (<< 5.2.7-3)
 Description: printer drivers for CUPS
  This package includes a CUPS driver based on Gutenprint.
  .
@@ -282,16 +281,14 @@
  many cases, and can be used for many of the most demanding printing
  tasks.  Gutenprint was formerly known as Gimp-Print.
 
-Package: gutenprint-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Suggests:
- printer-driver-gutenprint (>= ${source:Version}),
- foomatic-db-gutenprint (>= ${source:Version}),
- gimp-gutenprint (>= ${source:Version}),
- ijsgutenprint (>= ${source:Version})
-Description: users' guide for Gutenprint and CUPS
- This package contains a user guide for programs using the
- Gutenprint library for photographic quality printing.  Currently
- this covers using the Print plugin for the GIMP and the Common Unix
+Package: ijsgutenprint-ppds
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends:
+ ${misc:Depends}, ${shlibs:Depends},
+ printer-driver-gutenprint
+Description: transitional dummy package for gutenprint printer driver
+ This is a transitional package to install the CUPS driver based on
+ Gutenprint if the now dropped ijsgutenprint-ppds package was used
+ before. We generally migrate CUPS users from the IJS driver to the
