=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,8 @@
 	  --enable-libgutenprintui2 --with-gimp2 \
 	  --with-cups --enable-cups-level3-ppds --enable-globalized-cups-ppds \
 	  --with-foomatic --with-foomatic3 \
-	  --disable-test
+	  --disable-test \
+	  --enable-nls
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -75,11 +76,24 @@
 install-indep: build-indep $(DH_INSTALL_FILES)
 	dh $@ $(DH_OPTIONS)
 
+	rm -r debian/cups-driver-gutenprint/usr/share/doc/cups-driver-gutenprint/
+	ln -s printer-driver-gutenprint debian/cups-driver-gutenprint/usr/share/doc/cups-driver-gutenprint
+
 override_dh_install-arch:
+ifneq (,$(shell dh_listpackages -a 2>/dev/null))
+	if dpkg-vendor --is ubuntu; then \
+	  install -D -m 644 $(CURDIR)/debian/ubuntu/apport-hook.py $(CURDIR)/debian/install/usr/share/apport/package-hooks/source_gutenprint.py; \
+	fi
+endif
 	dh_install
+# Touch ppd-updater file(s) so that they have the time stamp of the build
+# of this package. The time stamp of the ppd-updater files tells CUPS' trigger
+# script whether they come from different package versions or not.
+	touch debian/*/usr/share/cups/ppd-updaters/*.ppd-updater
 # Remove rpath
 	find debian/printer-driver-gutenprint/usr/lib -type f -perm +0111 -print0 | xargs -0 chrpath --delete
 # Documentation fixup
+	mkdir -p debian/printer-driver-gutenprint/usr/share/doc/printer-driver-gutenprint
 	cp src/cups/README debian/printer-driver-gutenprint/usr/share/doc/printer-driver-gutenprint/README.cups
 	mv debian/ijsgutenprint/usr/share/man/man1/ijsgutenprint.1 debian/ijsgutenprint/usr/share/man/man1/ijsgutenprint.5.2.1
 	ln -s ijsgutenprint.5.2.1.gz debian/ijsgutenprint/usr/share/man/man1/ijsgutenprint.1.gz
